> For the complete documentation index, see [llms.txt](https://bonsaiswap.gitbook.io/bonsaiswap-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://bonsaiswap.gitbook.io/bonsaiswap-docs/developers/technical-reference/periphery/interfaces/iperipherypaymentswithfee.md).

# IPeripheryPaymentsWithFee

Functions to ease deposits and withdrawals of ETH

### Functions[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/IPeripheryPaymentsWithFee#functions) <a href="#functions" id="functions"></a>

#### unwrapWETH9WithFee[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/IPeripheryPaymentsWithFee#unwrapweth9withfee) <a href="#unwrapweth9withfee" id="unwrapweth9withfee"></a>

```solidity
  function unwrapWETH9WithFee(
  ) external
```

Unwraps the contract's WETH9 balance and sends it to recipient as ETH, with a percentage between 0 (exclusive), and 1 (inclusive) going to feeRecipient

The amountMinimum parameter prevents malicious contracts from stealing WETH9 from users.

#### sweepTokenWithFee[​](https://docs.uniswap.org/contracts/v3/reference/periphery/interfaces/IPeripheryPaymentsWithFee#sweeptokenwithfee) <a href="#sweeptokenwithfee" id="sweeptokenwithfee"></a>

```solidity
  function sweepTokenWithFee(
  ) external
```

Transfers the full amount of a token held by this contract to recipient, with a percentage between 0 (exclusive) and 1 (inclusive) going to feeRecipient

The amountMinimum parameter prevents malicious contracts from stealing the token from users


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://bonsaiswap.gitbook.io/bonsaiswap-docs/developers/technical-reference/periphery/interfaces/iperipherypaymentswithfee.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
